## ros-kinetic-cob-cartesian-controller 0.7.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_cartesian_controller)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs cob_srvs geometry_msgs message_generation roscpp roslint std_msgs std_srvs tf visualization_msgs)

find_package(Boost REQUIRED)

catkin_python_setup()

### Message Generation ###
add_action_files(
  DIRECTORY action
  FILES CartesianController.action
)

add_message_files(
  DIRECTORY msg
  FILES MoveCirc.msg
        MoveLin.msg
        Profile.msg
)

generate_messages(
  DEPENDENCIES actionlib_msgs geometry_msgs std_msgs
)

catkin_package(
  CATKIN_DEPENDS actionlib actionlib_msgs cob_srvs geometry_msgs message_runtime roscpp std_msgs std_srvs tf visualization_msgs
  DEPENDS Boost
  INCLUDE_DIRS include
  LIBRARIES profile_generator trajectory_interpolator cartesian_controller cartesian_controller_utils
)

### BUILD ###
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(cartesian_controller_utils src/cartesian_controller_utils.cpp)
add_dependencies(cartesian_controller_utils ${catkin_EXPORTED_TARGETS})
target_link_libraries(cartesian_controller_utils ${catkin_LIBRARIES})

add_library(profile_generator src/trajectory_profile_generator/trajectory_profile_generator_builder.cpp src/trajectory_profile_generator/trajectory_profile_generator_ramp.cpp src/trajectory_profile_generator/trajectory_profile_generator_sinoid.cpp)
add_dependencies(profile_generator ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(profile_generator ${catkin_LIBRARIES})

add_library(trajectory_interpolator src/trajectory_interpolator/trajectory_interpolator.cpp)
add_dependencies(trajectory_interpolator ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(trajectory_interpolator profile_generator ${catkin_LIBRARIES})

add_library(cartesian_controller src/cartesian_controller.cpp)
add_dependencies(cartesian_controller ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(cartesian_controller trajectory_interpolator cartesian_controller_utils ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(cartesian_controller_node src/cartesian_controller_node.cpp)
target_link_libraries(cartesian_controller_node cartesian_controller ${catkin_LIBRARIES})

roslint_cpp()

### INSTALL ##
install(TARGETS cartesian_controller cartesian_controller_node cartesian_controller_utils profile_generator trajectory_interpolator
 ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
 DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

catkin_install_python(
  PROGRAMS scripts/test_move_around_torus.py
           scripts/test_move_circ_interface.py
           scripts/test_move_circ.py
           scripts/test_move_lin_interface.py
           scripts/test_move_lin.py
           scripts/test_move_santa.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY config launch
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-cartesian-controller (0.7.13-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.12-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.11-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.10-2xenial) xenial; urgency=high

  * Merge pull request #227 <https://github.com/ipa320/cob_control/issues/227> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility - kinetic
  * disable simple_script_server import error
  * fix modules
  * fix pylint errors
  * Merge pull request #225 <https://github.com/ipa320/cob_control/issues/225> from fmessmer/ci_updates_kinetic
    [travis] ci updates - kinetic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.9-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.8-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.7-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.6-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.5-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.4-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.3-2xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.2-2xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.1-2xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/kinetic_release_candidate' into kinetic_dev
  * Merge pull request #169 <https://github.com/ipa320/cob_control/issues/169> from ipa-fxm/kinetic_updates_indigo
    Kinetic updates indigo
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.7.0-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.6.15-2xenial) xenial; urgency=high

  * cleanup leftovers
  * use xacro --inorder
  * remove inline keywords
  * manually fix changelog
  * optimize output
  * clear preview
  * remove obsolete script
  * add install tags
  * fix and harmonize scripts
  * broadcast target_frame before tracking
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.6.14-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.6.13-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.6.12-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.6.11-2xenial) xenial; urgency=high

  * remove lwa4d test scripts
  * use ros::Time::now
  * use const in function parameters
  * remove movePTP
  * minor styling
  * remove unused Pose parameter
  * significantly simplify function parameters for getTrajectory and getProfileTimings
  * re-order vel-acc
  * get rid of ProfileTimings.ok
  * move identical functions to base class
  * harmonizing
  * remove obsolete calcTe_
  * minor styling
  * roslint cob_cartesian_controller
  * towards code styling consistency
  * adjust descriptions ins license plate
  * adjust description
  * Final version
  * Almost finalized version
  * Implemented move_circ
  * remove obsolete files
  * adjust service type in cartesian controller
  * LWA4D test scripts
  * New quaternion interpolation
  * Linear interpolation works fine now. There's still a bug in quaternion interpolation.
  * Bug fixes + code reduction
  * apply change in parameter name
  * code reduction part 2.
  * forgot the cpp files
  * added new headers
  * Code reduction part 1.. there's still a bug in ramp profiles.
  * Fixed a bug in sort algorithm and profile interpolation
  * new example script
  * restructured, introducing base class for profile generator
  * renaming: hardware_interface to controller_interface
  * update trajectory_hardware_interface
  * handle base_compensation in kinematic_extension enum
  * implement JointTrajectory hardware_interface for twist_controller
  * Contributors: Marco Bezzon, ipa-fxm, ipa-fxm-cm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.6.10-2xenial) xenial; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-cartesian-controller (0.6.9-2xenial) xenial; urgency=high



=== debian/control ===
Source: ros-kinetic-cob-cartesian-controller
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-cob-srvs, ros-kinetic-geometry-msgs, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-cartesian-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-cob-frame-tracker, ros-kinetic-cob-script-server, ros-kinetic-cob-srvs, ros-kinetic-cob-twist-controller, ros-kinetic-geometry-msgs, ros-kinetic-message-runtime, ros-kinetic-robot-state-publisher, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rviz, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-tf, ros-kinetic-topic-tools, ros-kinetic-visualization-msgs, ros-kinetic-xacro
Description: This package provides nodes that broadcast tf-frames along various (model-based) Cartesian paths (e.g.
 Linear, Circular). The tf-frames are interpolated using a given velocity profile (e.g. Ramp, Sinoid) and can be used as targets for the cob_frame_tracker/cob_twist_controller.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-cartesian-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
